﻿using System.Collections.ObjectModel;
using System.ComponentModel;

namespace GroupCaptionTextSample
{
    public class EmployeeInfo : INotifyPropertyChanged
    {
        private string country;

        public string CountryCode
        {
            get { return country; }
            set { this.country = value; }
        }

        private int number;

        public int Number
        {
            get { return number; }
            set { this.number = value; }
        }

        private string name;

        public string Name
        {
            get { return name; }
            set { this.name = value; }
        }

        private string address;

        public string Address
        {
            get { return address; }
            set { this.address = value; }
        }

        private int id;

        public int Id
        {
            get { return id; }
            set { this.id = value; }
        }

        private string _gender;

        public string Gender
        {
            get { return _gender; }
            set { this._gender = value; }
        }

        private ObservableCollection<CompanyItem> companyList;

        public ObservableCollection<CompanyItem> CompanyList
        {
            get { return companyList; }
            set { this.companyList = value; }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        public void OnPropertyChanged(string propertyName)
        {
            if (this.PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }
    }


    public class CompanyItem : INotifyPropertyChanged
    {
        private string _countrycode;

        public string CountryCode
        {
            get { return _countrycode; }
            set { this._countrycode = value; }
        }

        private string _countryname;

        public string CountryName
        {
            get { return _countryname; }
            set { this._countryname = value; }
        }

        public override string ToString()
        {
            return CountryCode;
        }

        public event PropertyChangedEventHandler PropertyChanged;

        public void OnPropertyChanged(string propertyName)
        {
            if (this.PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }
    }
}
